package org.mercury_im.messenger;

import org.mercury_im.messenger.util.ThreadUtils;

import javax.inject.Inject;
import javax.inject.Named;

import io.reactivex.Scheduler;
import lombok.Getter;

public class MercurySchedulers {

    @Getter
    private final Scheduler subscriberScheduler;
    @Getter
    private final Scheduler observerScheduler;

    @Inject
    public MercurySchedulers(@Named(value = ThreadUtils.SCHEDULER_IO) Scheduler subscriberScheduler,
                             @Named(value = ThreadUtils.SCHEDULER_UI) Scheduler observerScheduler) {
        this.subscriberScheduler = subscriberScheduler;
        this.observerScheduler = observerScheduler;
    }
}
